Net::SSH::Perl::Cipher::RC4(3)

NAME
Net::SSH::Perl::Cipher::RC4 - RC4 encryption/decryption

SYNOPSIS
    use Net::SSH::Perl::Cipher;
    my $cipher = Net::SSH::Perl::Cipher->new('RC4', $key);
    print $cipher->encrypt($plaintext);

DESCRIPTION
Net::SSH::Perl::Cipher::RC4 provides RC4 (arcfour) encryption support for the SSH2 protocol implementation in Net::SSH::Perl. Unlike the other Net::SSH::Perl::Cipher objects, the RC4 module relies on no outside libraries; the RC4 algorithm is implemented entirely in this module.

RC4 uses key sizes of 16 bytes.

AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.